it.csi.mddtools.guigen

## Interface RadioButtons

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface RadioButtons
      extends DataWidget

  A representation of the model object 'Radio Buttons'. Widget a selezione alternativa tra un insieme statico di valori.

  The following features are supported:

  - `Radio`
  - `Layout`
  See Also:
    `GuigenPackage.getRadioButtons()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PanelLayout` | `getLayout()` Returns the value of the 'Layout' containment reference
    `org.eclipse.emf.common.util.EList<RadioButton>` | `getRadio()` Returns the value of the 'Radio' containment reference list.
    `void` | `setLayout(PanelLayout value)` Sets the value of the '`Layout`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRadio

          org.eclipse.emf.common.util.EList<RadioButton> getRadio()

      Returns the value of the 'Radio' containment reference list. The list contents are of type `RadioButton`.

      If the meaning of the 'Radio' containment reference list isn't clear, there really should be more of a description here...

      Insieme dei radiobutton che determina l'insieme dei valori possibili
      Returns:
        the value of the 'Radio' containment reference list.
      See Also:
        `GuigenPackage.getRadioButtons_Radio()`

    - #### getLayout

          PanelLayout getLayout()

      Returns the value of the 'Layout' containment reference. Orientamento dei singoli Radiobutton. Valori ammessi:
      - Vertical
      - Horizontal
      Returns:
        the value of the 'Layout' containment reference.
      See Also:
        `setLayout(PanelLayout)`, `GuigenPackage.getRadioButtons_Layout()`

    - #### setLayout

          void setLayout(PanelLayout value)

      Sets the value of the '`Layout`' containment reference.
      Parameters:
        `value` - the new value of the 'Layout' containment reference.
      See Also:
        `getLayout()`